#
# spec file for package curl
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without openssl
%bcond_with mozilla_nss
%bcond_without testsuite

Name:           curl
Version:        7.37.0
Release:        33.1
Summary:        A Tool for Transferring Data from URLs
License:        BSD-3-Clause and MIT
Group:          Productivity/Networking/Web/Utilities
Url:            http://curl.haxx.se/
Source:         http://curl.haxx.se/download/%{name}-%{version}.tar.lzma
Source2:        http://curl.haxx.se/download/%{name}-%{version}.tar.lzma.asc
Source3:        baselibs.conf
Source4:        %{name}.keyring
Patch:          libcurl-ocloexec.patch
Patch1:         dont-mess-with-rpmoptflags.diff
Patch3:         curl-secure-getenv.patch
Patch6:         curl-DEFAULT_CIPHER_SELECTION.patch
Patch7:         curl-CVE-2014-3613.patch
Patch8:         curl-CVE-2014-3620.patch
Patch9:         curl-CVE-2014-8150.patch
Patch10:        curl-CVE-2014-3707.patch
Patch11:        curl-allow_md4_and_md5_in_fips_mode.patch
Patch12:        curl-CVE-2015-3143.patch
Patch13:        curl-CVE-2015-3144.patch
Patch14:        curl-CVE-2015-3145.patch
Patch15:        curl-CVE-2015-3148.patch
Patch16:        curl-CVE-2015-3153.patch
Patch17:        0001-test46-update-cookie-expire-time.patch
Patch18:        curl-CVE-2016-0755.patch
Patch19:        curl-disable_failing_tests.patch
# PATCH-FIX-UPSTREAM fix-return-status-in-Curl_is_connected.patch -- Fixes error handling in Curl_is_connected by backporting some code from upstream
Patch20:        fix-return-status-in-Curl_is_connected.patch
# PATCH-FIX-UPSTREAM 0001-Fix-invalid-Network-is-unreachable-errors.patch -- Fixes "network is unreachable" errors in valid situations when ipv6 is not working but ipv4 is
Patch21:        0001-Fix-invalid-Network-is-unreachable-errors.patch
Patch22:        curl-CVE-2016-5419.patch
Patch23:        curl-CVE-2016-5420.patch
Patch24:        curl-CVE-2016-5421.patch
Patch25:        curl-bsc991746.patch
# Project cURL Security Advisory, November 2, 2016
Patch26:        curl-CVE-2016-8615.patch
Patch27:        curl-CVE-2016-8617.patch
Patch28:        curl-CVE-2016-8618.patch
Patch29:        curl-CVE-2016-8619.patch
Patch32:        curl-CVE-2016-8616.patch
Patch33:        curl-CVE-2016-7167.patch
Patch40:        curl-CVE-2016-8620.patch
Patch41:        curl-CVE-2016-8621.patch
Patch42:        curl-CVE-2016-8622.patch
Patch43:        curl-CVE-2016-8623.patch
Patch44:        curl-CVE-2016-8624.patch
# PATCH-FIX-UPSTREAM Bug 1015332
Patch45:        curl-7.37-CVE-2016-9586.patch
# PATCH-FIX-UPSTREAM Bug 1032309
Patch46:        curl-7.37-CVE-2017-7407.patch
# PATCH-FIX-SUSE Bug 1027712
Patch47:        curl-DEFAULT_SUSE_SELECTION.patch
# PATCH-FIX-UPSTREAM bsc#1051644 VUL-0: CVE-2017-1000100 - TFTP sends more than buffer size
Patch48:        curl-7.37.0-CVE-2017-1000100.patch
# PATCH-FIX-UPSTREAM bsc#1051643 VUL-0: CVE-2017-1000101 - URL globbing out of bounds read
Patch49:        curl-CVE-2017-1000101.patch
# PATCH-FIX-UPSTREAM bsc#1061876 VUL-0: CVE-2017-1000254 - FTP PWD response parser out of bounds read
Patch50:        curl-7.37-CVE-2017-1000254.patch
# PATCH-FIX-UPSTREAM bsc#1060653 "error:1408F10B:SSL routines" when connecting to ftps via proxy
Patch51:        curl-7.37.0-connect-ftps-via-proxy.patch
# PATCH-FIX-UPSTREAM bsc#1063824 VUL-0: CVE-2017-1000257 - IMAP FETCH response out of bounds read
Patch52:        curl-CVE-2017-1000257.patch
# PATCH-FIX-UPSTREAM bsc#1069226 VUL-0: CVE-2017-8816 NTLM buffer overflow via integer overflow
Patch53:        curl-7.37.0-CVE-2017-8816.patch
# PATCH-FIX-UPSTREAM bsc#1069222 VUL-0: CVE-2017-8817 FTP wildcard out of bounds read
Patch54:        curl-7.37.0-CVE-2017-8817.patch
# PATCH-FIX-UPSTREAM bsc#1077001 VUL-0: CVE-2018-1000007 HTTP authentication leak in redirects
Patch55:        curl-7.37.0-CVE-2018-1000007.patch
# PATCH-FIX-UPSTREAM bsc#1084521 CVE-2018-1000120 VUL-1: FTP path trickery leads to NIL byte out of bounds write
Patch56:        curl-7.37.0-CVE-2018-1000120.patch
# PATCH-FIX-UPSTREAM bsc#1084524 CVE-2018-1000121 VUL-1: LDAP NULL pointer dereference
Patch57:        curl-7.37.0-CVE-2018-1000121.patch
# PATCH-FIX-UPSTREAM bsc#1084532 CVE-2018-1000122 VUL-0: RTSP RTP buffer over-read
Patch58:        curl-7.37.0-CVE-2018-1000122.patch

# Use rpmbuild -D 'VERIFY_SIG 1' to verify signature during build or run one-shot check by "gpg-offline --verify --package=curl curl-*.asc".
%if 0%{?VERIFY_SIG}
BuildRequires:  gpg-offline
%endif
BuildRequires:  libidn-devel
BuildRequires:  libtool
BuildRequires:  lzma
BuildRequires:  openldap2-devel
BuildRequires:  pkg-config
BuildRequires:  zlib-devel
%if %{with openssl}
BuildRequires:  openssl-devel
%endif
%if %{with mozilla_nss}
BuildRequires:  mozilla-nss-devel
%endif
BuildRequires:  krb5-mini-devel
BuildRequires:  libssh2-devel
#BuildRequires:  openssh
%if 0%{?_with_stunnel:1}
# used by the testsuite
BuildRequires:  stunnel
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# bug437293
%ifarch ppc64
Obsoletes:      curl-64bit
%endif

%description
Curl is a client to get documents and files from or send documents to a
server using any of the supported protocols (HTTP, HTTPS, FTP, FTPS,
TFTP, DICT, TELNET, LDAP, or FILE). The command is designed to work
without user interaction or any kind of interactivity.

%package -n libcurl4
Summary:        Version 4 of cURL shared library
Group:          Productivity/Networking/Web/Utilities

%description -n libcurl4
The cURL shared library version 4 for accessing data using different
network protocols.

%package -n libcurl-devel
Summary:        A Tool for Transferring Data from URLs
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       libcurl4 = %{version}
# curl-devel (v 7.15.5) was last used in 10.2
Provides:       curl-devel <= 7.15.5
Obsoletes:      curl-devel < 7.16.2

%description -n libcurl-devel
Curl is a client to get documents and files from or send documents to a
server using any of the supported protocols (HTTP, HTTPS, FTP, GOPHER,
DICT, TELNET, LDAP, or FILE). The command is designed to work without
user interaction or any kind of interactivity.

%prep
%if 0%{?VERIFY_SIG}
%gpg_verify %{S:2}
%endif
%setup -q
%patch
%patch1
%patch3
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch32 -p1
%patch33 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1

%build
# curl complains if macro definition is contained in CFLAGS
# see m4/xc-val-flgs.m4
CPPFLAGS="-D_FORTIFY_SOURCE=2"
CFLAGS=$(echo $RPM_OPT_FLAGS | sed 's/-D_FORTIFY_SOURCE=2//')
export CPPFLAGS CFLAGS
autoreconf -fi
# local hack to make curl-config --libs stop printing libraries it depends on
# (currently, libtool sets link_all_deplibs=(yes|unknown) everywhere,
# will hopefully change in the future)
sed -i 's/link_all_deplibs=unknown/link_all_deplibs=no/' configure
%configure \
	--enable-ipv6 \
%if %{with openssl}
	--with-ssl \
	--with-ca-path=/etc/ssl/certs/ \
%else
	--without-ssl \
%if %{with mozilla_nss}
	--with-nss \
%endif
%endif
	--with-gssapi=/usr/lib/mit \
	--with-libssh2\
	--enable-hidden-symbols \
	--disable-static \
	--enable-threaded-resolver

: if this fails, the above sed hack did not work
./libtool --config | grep -q link_all_deplibs=no
# enable-hidden-symbols needs gcc4 and causes that curl exports only its API
make %{?_smp_mflags}

%if %{with testsuite}

%check
cd tests
make
# make sure the testsuite runs don't race on MP machines in autobuild
if test -z "$BUILD_INCARNATION" -a -r /.buildenv; then
	. /.buildenv
fi
if test -z "$BUILD_INCARNATION"; then
	BUILD_INCARNATION=0
fi

base=$((8990 + $BUILD_INCARNATION * 20))
# bug940009 do not run flaky tests for any architecture
# at least test 1510 does fail for i586 and ppc64le
perl ./runtests.pl -a -b$base '!flaky' || exit
%endif

%install
%{makeinstall}
rm $RPM_BUILD_ROOT%_libdir/libcurl.la
install -d $RPM_BUILD_ROOT/usr/share/aclocal
install -m 644 docs/libcurl/libcurl.m4 $RPM_BUILD_ROOT/usr/share/aclocal/

%post -n libcurl4 -p /sbin/ldconfig

%postun -n libcurl4 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README RELEASE-NOTES
%doc docs/{BUGS,FAQ,FEATURES,MANUAL,RESOURCES,TODO,TheArtOfHttpScripting}
%doc lib/README.curl_off_t
%{_prefix}/bin/curl
%doc %{_mandir}/man1/curl.1%{ext_man}

%files -n libcurl4
%defattr(-,root,root)
%{_libdir}/libcurl.so.4*

%files -n libcurl-devel
%defattr(-,root,root)
%{_prefix}/bin/curl-config
%{_prefix}/include/curl
%dir %{_prefix}/share/aclocal
%{_prefix}/share/aclocal/libcurl.m4
%{_libdir}/libcurl.so
%{_libdir}/pkgconfig/libcurl.pc
%{_mandir}/man1/curl-config.1%{ext_man}
%{_mandir}/man3/*
%doc docs/libcurl/symbols-in-versions

%changelog
* Fri Mar  9 2018 pmonrealgonzalez@suse.com
- Security Fix [bsc#1084532, CVE-2018-1000122]
  * readwrite: RTSP RTP buffer over-read
  * Added curl-7.37.0-CVE-2018-1000122.patch
  * Modified curl-disable_failing_tests.patch
* Fri Mar  9 2018 pmonrealgonzalez@suse.com
- Security Fix [bsc#1084524, CVE-2018-1000121]
  * openldap: check ldap_get_attribute_ber() results for NULL
  * LDAP NULL pointer dereference
  * Added curl-7.37.0-CVE-2018-1000121.patch
* Fri Mar  9 2018 pmonrealgonzalez@suse.com
- Security Fix [bsc#1084521, CVE-2018-1000120]
  * FTP: reject path components with control codes
  * FTP path trickery leads to NIL byte out of bounds write
  * Added curl-7.37.0-CVE-2018-1000120.patch
* Mon Jan 22 2018 pmonrealgonzalez@suse.com
- Security fix [bsc#1077001, CVE-2018-1000007]
  * HTTP authentication leak in redirects
  * Added patch curl-7.37.0-CVE-2018-1000007.patch
* Thu Nov 23 2017 pmonrealgonzalez@suse.com
- Security fix [bsc#1069222, CVE-2017-8817]
  * Read out of bounds flaw in the FTP wildcard function.
  * Added patch curl-7.37.0-CVE-2017-8817.patch
* Thu Nov 23 2017 pmonrealgonzalez@suse.com
- Security fix [bsc#1069226, CVE-2017-8816]
  * Buffer overrun flaw in the NTLM authentication code.
  * Added patch curl-7.37.0-CVE-2017-8816.patch
* Tue Oct 17 2017 pmonrealgonzalez@suse.com
- Security fix [bsc#1063824, CVE-2017-1000257]
  * IMAP FETCH response out of bounds read
  * Added patch curl-CVE-2017-1000257.patch
* Tue Oct 17 2017 pmonrealgonzalez@suse.com
- Disabled test1086 that fails on ppc64le
  * Refreshed patch curl-disable_failing_tests.patch
* Fri Oct 13 2017 pmonrealgonzalez@suse.com
- Fixed error "error:1408F10B:SSL routines" when connecting to ftps
  via proxy [bsc#1060653]
  * Added patch curl-7.37.0-connect-ftps-via-proxy.patch
* Mon Oct  9 2017 pmonrealgonzalez@suse.com
- Security fix [bsc#1061876, CVE-2017-1000254]
  * FTP PWD response parser out of bounds read
  * Added patch curl-7.37-CVE-2017-1000254.patch
* Tue Aug  1 2017 pmonrealgonzalez@suse.com
- Project curl Security Advisory, August 9th 2017
  https://curl.haxx.se/docs/adv_20170809B.html
- Security fix [bsc#1051644, CVE-2017-1000100]
  * TFTP sends more than buffer size
  * Added patch curl-7.37.0-CVE-2017-1000100.patch
- Security fix [bsc#1051643, CVE-2017-1000101]
  * URL globbing out of bounds read
  * Added patch curl-CVE-2017-1000101.patch
* Wed Apr  5 2017 pmonrealgonzalez@suse.com
- Project curl Security Advisory, April 3, 2017
  https://curl.haxx.se/docs/adv_20170403.html
  * CVE-2017-7407: --write-out out of buffer read (bsc#1032309)
- Bug bsc#1027712 switch to new client side cipher suite default
  * Updated default cipher suite from "DEFAULT" to "SUSE_DEFAULT"
  * Updates previous patch curl-DEFAULT_CIPHER_SELECTION.patch
- Added patches:
  * curl-7.37-CVE-2017-7407.patch
  * curl-DEFAULT_SUSE_SELECTION.patch
* Mon Mar 20 2017 pmonrealgonzalez@suse.com
- Project curl Security Advisory, December 21, 2016
  https://curl.haxx.se/docs/adv_20161221A.html
  * CVE-2016-9586: curl: libcurl printf floating point buffer
    overflow (bsc#1015332)
  * Added patch curl-7.37-CVE-2016-9586.patch
* Tue Oct 25 2016 vcizek@suse.com
- Project cURL Security Advisory, November 2, 2016
  https://curl.haxx.se/docs/adv_20161102K.html
  * CVE-2016-8624: invalid URL parsing with '#' (bsc#1005646)
  * CVE-2016-8623: Use-after-free via shared cookies (bsc#1005645)
  * CVE-2016-8622: URL unescape heap overflow via integer truncation (bsc#1005643)
  * CVE-2016-8621: curl_getdate read out of bounds (bsc#1005642)
  * CVE-2016-8620: glob parser write/read out of bounds (bsc#1005640)
  * CVE-2016-8619: double-free in krb5 code (bsc#1005638)
  * CVE-2016-8618: double-free in curl_maprintf (bsc#1005637)
  * CVE-2016-8617: OOB write via unchecked multiplication (bsc#1005635)
  * CVE-2016-8616: case insensitive password comparison (bsc#1005634)
  * CVE-2016-8615: cookie injection for other servers (bsc#1005633)
  * CVE-2016-7167: escape and unescape integer overflows (bsc#998760)
- added patches:
  * curl-CVE-2016-7167.patch
  * curl-CVE-2016-8615.patch
  * curl-CVE-2016-8616.patch
  * curl-CVE-2016-8617.patch
  * curl-CVE-2016-8618.patch
  * curl-CVE-2016-8619.patch
  * curl-CVE-2016-8620.patch
  * curl-CVE-2016-8621.patch
  * curl-CVE-2016-8622.patch
  * curl-CVE-2016-8623.patch
  * curl-CVE-2016-8624.patch
* Wed Sep  7 2016 pjanouch@suse.de
- Update curl-CVE-2016-5420.patch to fix incorrect reuse of client
  certificates with NSS (bsc#997420 CVE-2016-7141)
* Wed Aug 24 2016 pjanouch@suse.de
- Add curl-bsc991746.patch (bsc#991746) fixing a performance
  regression with FTP
* Tue Aug  2 2016 pjanouch@suse.de
- Add curl-CVE-2016-5419.patch (bsc#991389 CVE-2016-5419)
- Add curl-CVE-2016-5420.patch (bsc#991390 CVE-2016-5420)
- Add curl-CVE-2016-5421.patch (bsc#991391 CVE-2016-5421)
* Thu May  5 2016 alarrosa@suse.com
- Add fix-return-status-in-Curl_is_connected.patch . Fixes some error
  handling in Curl_is_connected by backporting some code from upstream.
- Add 0001-Fix-invalid-Network-is-unreachable-errors.patch.
  Fixes "Network is unreachable" errors in valid situations when ipv6
  is not available but ipv4 is working fine. This also fixes the same
  error from happening in applications using libcurl4 (like zypper).
  (bsc#915846)
* Thu Jan 21 2016 vcizek@suse.com
- fix CVE-2016-0755 (bsc#962983)
  * libcurl NTLM credentials not-checked for proxy connection re-use
  * http://curl.haxx.se/docs/adv_20160127A.html
  * add curl-CVE-2016-0755.patch
* Thu Jan 21 2016 vcizek@suse.com
- unexpire cookie in test 46 (bsc#962996)
  * add 0001-test46-update-cookie-expire-time.patch
- fix a typo in curl-secure-getenv.patch (bsc#936676)
- run the testsuite during build (bsc#934333)
  * add curl-disable_failing_tests.patch
* Mon Apr 20 2015 vcizek@suse.com
- security update:
  * CVE-2015-3143 (bnc#927556)
  - Re-using authenticated connection when unauthenticated
  * CVE-2015-3144 (bnc#927608)
  - host name out of boundary memory access
  * CVE-2015-3145 (bnc#927607)
  - cookie parser out of boundary memory access
  * CVE-2015-3148 (bnc#927746)
  - Negotiate not treated as connection-oriented
  * CVE-2015-3153 (bnc#928533)
  - sensitive HTTP server headers also sent to proxies
  * added patches:
    + curl-CVE-2015-3143.patch
    + curl-CVE-2015-3144.patch
    + curl-CVE-2015-3145.patch
    + curl-CVE-2015-3148.patch
    + curl-CVE-2015-3153.patch
- fix baselibs.conf
* Tue Feb  3 2015 vcizek@suse.com
- allow md4 and md5 in fips mode (bnc#913209)
  * https://github.com/bagder/curl/pull/138
  * added curl-allow_md4_and_md5_in_fips_mode.patch
* Fri Jan  2 2015 vcizek@suse.com
- fix for CVE-2014-8150 (bnc#911363)
  * request injection vulnerability
  * added curl-CVE-2014-8150.patch
- fix for CVE-2014-3707 (bnc#901924)
  * duphandle read out of bounds
  * added curl-CVE-2014-3707.patch
* Wed Sep 10 2014 vcizek@suse.com
- add fixes for two security vulnerabilities
  * CVE-2014-3613 (bnc#894575) and CVE-2014-3620 (bnc#895991)
  * cookie leaks for ip addresses as domains and TLDs
  * added patches:
    curl-CVE-2014-3613.patch
    curl-CVE-2014-3620.patch
* Thu Jun 12 2014 vcizek@suse.com
- update to 7.37.0
  This release includes many bugfixes and the following changes:
  * URL parser: IPv6 zone identifiers are now supported
  * CURLOPT_PROXYHEADER: set headers for proxy-only
  * CURLOPT_HEADEROPT: added
  * curl: add --proxy-header
  * sasl: Added support for DIGEST-MD5 via Windows SSPI
  * sasl: Added DIGEST-MD5 qop-option validation in native challange handling
  * imap: Expanded mailbox SEARCH support to use URL query strings [7]
  * imap: Extended FETCH support to include PARTIAL URL specifier [7]
  * nss: implement non-blocking SSL handshake
  * build: Reworked Visual Studio project files
  * poll: enable poll on darwin13
  * mk-ca-bundle: added -p
  * libtests: add a wait_ms() function
  - dropped patches:
  * curl-mkhelp.patch (upstream)
  * curl-test815.patch (upstream)
* Fri Apr 25 2014 vcizek@suse.com
- adjust default cipher list (bnc#874986)
  * curl-DEFAULT_CIPHER_SELECTION.patch
* Wed Apr  9 2014 vcizek@suse.com
- update to 7.36
  * fixes CVE-2014-0138 (bnc#868627) and CVE-2014-0139 (bnc#868629)
  * NEW FEATURES:
    ntlm: Added support for NTLMv2
    tool: Added support for URL specific options
    openssl: add ALPN support
    gtls: add ALPN support
    nss: add ALPN and NPN support
    added CURLOPT_EXPECT_100_TIMEOUT_MS
    tool: add --no-alpn and --no-npn
    added CURLOPT_SSL_ENABLE_NPN and CURLOPT_SSL_ENABLE_ALPN
    http2: build with current nghttp2 version
    openssl: info message with SSL version used
  * dropped curl-test172_cookie_expiration.patch (upstream)
  * added patches to make it build:
  - curl-mkhelp.patch
  - curl-test815.patch
* Thu Mar 13 2014 kukuk@suse.de
- Disable BuildRequires for openssh, only needed for test suite,
  but the test suite isn't able to start sshd anyways.
  Solves the problem that openssh checkins triggers a nearly full
  rebuild, too.
* Tue Feb  4 2014 vcizek@suse.com
- update to 7.35.0
  * security fix:
    CVE-2014-0015: re-use of wrong HTTP NTLM connection (bnc#858673)
  * changes:
    imap/pop3/smtp: Added support for SASL authentication downgrades
    imap/pop3/smtp: Extended the login options to support multiple auth mechanisms
    TheArtOfHttpScripting: major update, converted layout and more
    mprintf: Added support for I, I32 and I64 size specifiers
    makefile: Added support for VC7, VC11 and VC12
    SSL: protocol version can be specified more precisely
    imap/pop3/smtp: Added graceful cancellation of SASL authentication
    Add "Happy Eyeballs" for IPv4/IPv6 dual connect attempts
    base64: Added validation of base64 input strings when decoding
    curl_easy_setopt: Added the ability to set the login options separately
    smtp: Added support for additional SMTP commands
    curl_easy_getinfo: Added CURLINFO_TLS_SESSION for accessing TLS internals
    nss: allow to use TLS > 1.0 if built against recent NSS
    SECURITY: added this document to describe our security processes
    parseconfig: warn if unquoted white spaces are detected
  * and many bugfixes
- fix test failure because of an expired cookie (bnc#862144)
  * added curl-test172_cookie_expiration.patch
- refresh libcurl-ocloexec.patch
* Fri Nov 29 2013 vcizek@suse.com
- update to 7.33.0
  * fixes CVE-2013-4545 (bnc#849596)
    = curl: ssl cert checks unclear behaviour
  o test code for testing the event based API
  o CURLM_ADDED_ALREADY: new error code
  o test TFTP server: support "writedelay" within <servercmd>
  o krb4 support has been removed
  o imap/pop3/smtp: added basic SASL XOAUTH2 support
  o Pass password to OpenSSL engine by user interface
  o c-ares: Add support for various DNS binding options
  o cookies: add expiration
  o curl: added --oauth2-bearer option
* Mon Aug 12 2013 crrodriguez@opensuse.org
- curl 7.32.0
  * curl: allow timeouts to accept decimal values
  * CURLOPT_XFERINFOFUNCTION: introducing a new progress callback
  * SIGPIPE: ignored while inside the library
  * OpenSSL: check for read errors
  * configure: automake 1.14 compatibility tweak
  * curl_multi_wait: set revents for extra fds
  * global dns cache: didn't work (regression)
  * mk-ca-bundle.1: don't install on make install
* Mon Jul  1 2013 coolo@suse.com
- avoid cycle between curl and krb5 by using krb5-mini-devel
* Mon Jun 24 2013 vcizek@suse.com
- update to 7.31.0
  * includes fix for CVE-2013-2174 (bnc#824517)
  * SECURITY VULNERABILITY: curl_easy_unescape() may parse data
    beyond the end of the input buffer [26]
  * Changes:
    darwinssl: add TLS session resumption
    darwinssl: add TLS crypto authentication
    imap/pop3/smtp: Added support for ;auth= in the URL
    imap/pop3/smtp: Added support for ;auth= to CURLOPT_USERPWD
    usercertinmem.c: add example showing user cert in memory
    url: Added smtp and pop3 hostnames to the protocol detection list
    imap/pop3/smtp: Added support for enabling the SASL initial response
    curl -E: allow to use ':' in certificate nicknames
* Fri Apr 12 2013 vcizek@suse.com
- update to 7.30.0
  includes security fixes for CVE-2013-0249 and CVE-2013-1944
  (bugs bnc#814655 and bnc#802411 respectively)
  (dropped curl-CVE-2013-0249.patch)
- Changes:
  imap: Changed response tag generation to be completely unique
  imap: Added support for SASL-IR extension
  imap: Added support for the list command
  imap: Added support for the append command
  imap: Added custom request parsing
  imap: Added support to the fetch command for UID and SECTION properties
  imap: Added parsing and verification of the UIDVALIDITY mailbox attribute
  imap/pop3/smtp: Added support for the STARTTLS capability
  checksrc: ban use of sprintf, vsprintf, strcat, strncat and gets
  curl_global_init() now accepts the CURL_GLOBAL_ACK_EINTR flag
  Added CURLMOPT_MAX_HOST_CONNECTIONS, CURLMOPT_MAX_TOTAL_CONNECTIONS
    for new multi interface connection handling
  Added CURLMOPT_MAX_PIPELINE_LENGTH, CURLMOPT_CONTENT_LENGTH_PENALTY_SIZE,
    CURLMOPT_CHUNK_LENGTH_PENALTY_SIZE, CURLMOPT_PIPELINING_SITE_BL
    and CURLMOPT_PIPELI NING_SERVER_BL for new pipelining control
  test: offer "automake" output and check for perl better
  always-multi: always use non-blocking internals
  imap: Added support for sasl digest-md5 authentication
  imap: Added support for sasl cram-md5 authentication
  imap: Added support for sasl ntlm authentication
  imap: Added support for sasl login authentication
  imap: Added support for sasl plain text authentication
  imap: Added support for login disabled server capability
  mk-ca-bundle: add -f, support passing to stdout and more
  writeout: -w now supports remote_ip/port and local_ip/port
- refreshed patches
* Sun Feb 17 2013 crrodriguez@opensuse.org
- Add curl-secure-getenv.patch: Use secure_getenv if available.
  libcurl might be linked to a program where "secure execution" is
  required.
* Thu Feb  7 2013 vcizek@suse.com
- fixed CVE-2013-0249 (bnc#802411)
- refreshed patches
* Fri Jan 11 2013 sbrabec@suse.cz
- Break build loop and make GPG signature verification optional.
* Tue Nov 27 2012 sbrabec@suse.cz
- Verify GPG signature.
* Tue Nov 20 2012 crrodriguez@opensuse.org
- Curl 7.28.1
  * FTP: prevent the multi interface from blocking Obsoletes
  curl-ftp-prevent-the-multi-interface-from-blocking.patch
  * don't send '#' fragments when using proxy
  * OpenSSL: Disable SSL/TLS compression - avoid the "CRIME" attack
  * TFTP: handle resend
  * memory leak: CURLOPT_RESOLVE with multi interface
  * SSL: Several SSL-backend related fixes
* Sun Nov  4 2012 gber@opensuse.org
- added curl-ftp-prevent-the-multi-interface-from-blocking.patch in
  order to prevent the multi interface from blocking when using ftp
  and the remote end responds very slowly (sf#3579064)
* Sun Jul 29 2012 crrodriguez@opensuse.org
- Curl 7.27.0
  * support metalinks
  * Add sasl authentication support
  * various bugfixes
- Fix previous change, _GNU_SOURCE --> AC_USE_SYSTEM_EXTENSIONS
* Mon Jul  9 2012 dnh@opensuse.org
- define _GNU_SOURCE for oS/SLES <= 11.4, as O_CLOEXEC is
  defined inside a ifdef __USE_GNU
* Sat May 12 2012 jengelh@inai.de
- Update to new upstream release 7.25.0
  * Added CURLOPT_TCP_KEEPALIVE, CURLOPT_TCP_KEEPIDLE,
  CURLOPT_TCP_KEEPINTVL
  * use new library-side TCP_KEEPALIVE options
  * Added a new CURLOPT_MAIL_AUTH option
  * Added support for --mail-auth
  * (for more see the shipped CHANGES file)
* Wed Feb  8 2012 crrodriguez@opensuse.org
- Problem with the c-ares backend, workaround for [bnc#745534]
* Thu Feb  2 2012 crrodriguez@opensuse.org
- Update to version curl 7.24.0
- refresh patches to fix broken build
* Wed Jan 18 2012 dmueller@suse.de
- use the rpmoptflags unconditionally, don't do own compiler flag
  magic. Fixes debuginfo package built
* Wed Dec 28 2011 mmarek@suse.cz
- Package /usr/share/aclocal to avoid build dependency on automake.
* Wed Nov 30 2011 crrodriguez@opensuse.org
- Use O_CLOEXEC in library code.
* Tue Nov 29 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
* Tue Nov 29 2011 idoenmez@suse.de
- Use original source tarball
* Mon Nov 28 2011 opensuse@dstoecker.de
- Update to version 7.23.1:
  + Empty headers can be sent in HTTP requests by terminating with a semicolon
  + SSL session sharing support added to curl_share_setopt()
  + Added support to MAIL FROM for the optional SIZE parameter
  + smtp: Added support for NTLM authentication
  + curl tool: code split into tool_*.[ch] files
  + lots of bugfixes
* Mon Oct  3 2011 dimstar@opensuse.org
- Update to version 7.22.0:
  + Added CURLOPT_GSSAPI_DELEGATION
  + Added support for NTLM delegation to Samba's winbind daemon
    helper ntlm_auth
  + Display notes from setup file in testcurl.pl
  + BSD-style lwIP TCP/IP stack experimental support on Windows
  + OpenSSL: Use SSL_MODE_RELEASE_BUFFERS if available
  + --delegation was added to set CURLOPT_GSSAPI_DELEGATION
  + nss: start with no database if the selected database is broken
  + telnet: allow programatic use on Windows
  + for a list of bugfixes, see
    http://curl.haxx.se/changes.html#7_22_0
- Drop curl-openssl-release-buffers.patch: fixed upstream.
- Add curl-fix-m4.patch: Use 'x' in configure scripts. Fixes issues
  when configure is run with -Werror -Wall.
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Fri Sep 16 2011 jengelh@medozas.de
- Add curl-devel to baselibs
* Mon Aug 15 2011 crrodriguez@opensuse.org
- Use SSL_MODE_RELEASE_BUFFERS if available, accepted
  in upstream as commit 3d919440c80333c496fb
* Tue Jul 12 2011 coolo@novell.com
- remove support for old suse_versions
* Mon Jul 11 2011 pth@suse.de
- Update to 7.21.7:
  - Fix libcurl inappropriate GSSAPI delegation. Full details at
    http://curl.haxx.se/docs/adv_20110623.html
  - Some other minor fixes.
- Use the lzma compressed tarball provided upstreams.
* Fri May 20 2011 crrodriguez@opensuse.org
- remove unintented LDFLAGS from the spec file
* Fri May 20 2011 crrodriguez@opensuse.org
- Update to 7.21.6
  * curl-config: fix --version
  * use HTTPS properly after CONNECT
  * SFTP: close file before post quote operations
* Thu Apr 14 2011 crrodriguez@opensuse.org
- bnc#598574 has been fixed in upstream commit  8ab137b2bc9630ce20f4
  already, so enable c-ares support again.
* Sat Apr  9 2011 crrodriguez@opensuse.org
- Support openSSL compiled without SSLv2 support
- Update to version 7.21.4
  * SMTP: add brackets for MAIL FROM
  * multi: connect fail => use next IP address
  * pubkey_show: allocate buffer to fit any-size result
  * Curl_do: avoid using stale conn pointer
  * tftpd test server: avoid buffer overflow report from glibc
  * OpenSSL get_cert_chain: support larger data sets
  * SCP/SFTP transfers: acknowledge speedcheck
  * connect problem: use UDP correctly
  * OpenSSL: improved error message on SSL_CTX_new failures
  * HTTP: memory leak on multiple Location:
  * curl.1: typo in -v description
  * CURLOPT_SOCKOPTFUNCTION: return proper error code --keepalive-time
  * file: add support for CURLOPT_TIMECONDITION
  * multi: fix CURLM_STATE_TOOFAST for multi_socket
* Fri Oct 22 2010 cristian.rodriguez@opensuse.org
- Update to version  7.21.2
  * curl -T: ignore file size of special files
  * Added GOPHER protocol support
  * Added mk-ca-bundle.vbs script
  * c-ares build now requires c-ares >= 1.6.0
  * --remote-header-name security vulnerability fixed
  * multi: support the timeouts correctly, fixes known bug #62
  * multi: use timeouts properly for MAX_RECV/SEND_SPEED
  * negotiation: Wrong proxy authorization
  * multi: avoid sending multiple complete messages
  * cmdline: make -F type= accept ;charset=
  * RESUME_FROM: clarify what ftp uploads do
  * http: handle trailer headers in all chunked responses
  * Curl_is_connected: use correct errno
  * progress: callback for POSTs less than MAX_INITIAL_POST_SIZE
  * Link curl and the test apps with -lrt explicitly when necessary
  * chunky parser: only rewind stream internally if needed
  * remote-header-name: don't output filename when NULL
  * Curl_timeleft: avoid returning "no timeout" by mistake
  * timeout: use the correct start value as offset
  * FTP: fix wrong timeout trigger
  * rtsp: avoid SIGSEGV on malformed header
  * LDAP: Support for tunnelling queries through HTTP proxy
  * curl_easy_duphandle: clone the c-ares handle correctly
  * support URL containing colon without trailing port number
  * parsedate: allow time specified without seconds
  * curl_easy_escape: don't escape "unreserved" characters
  * SFTP: avoid downloading negative sizes
  * Lots of GSS/KRB FTP fixes
  * TFTP: Work around tftpd-hpa upload bug
  * libcurl.m4: several fixes
  * HTTP: remove special case for 416
  * globbing: fix crash on unballanced open brace
* Wed Jun  2 2010 lnussel@suse.de
- allowing switching to nss instead of openssl via bcond
* Mon May 10 2010 crrodriguez@opensuse.org
- disable c-ares support while bnc598574 is fixed.
* Sat Apr 24 2010 coolo@novell.com
- buildrequire pkg-config to fix provides
* Fri Apr 23 2010 crrodriguez@opensuse.org
- Update to libcurl 7.20.1
  * off-by-one in the chunked encoding trailer parser
  * CURLOPT_CERTINFO memory leak
  * threaded resolver double free when closing curl handle
  * url_multi_remove_handle() caused use after free
  * SSL possible double free when reusing curl handle
  * alarm()-based DNS timeout bug
* Wed Mar 24 2010 crrodriguez@opensuse.org
- enable libssh2 support unconditionally.
* Wed Mar 10 2010 crrodriguez@opensuse.org
- enable libcares support unconditionally.
* Sat Feb 13 2010 dimstar@opensuse.org
- Update to version 7.20.0:
  * support SSL_FILETYPE_ENGINE for client certificate
  * curl-config can now show the arguments used when building curl
  * non-blocking TFTP
  * send Expect: 100-continue for POSTs with unknown sizes
  * added support for IMAP(S), POP3(S), SMTP(S) and RTSP
  * added new curl_easy_setopt() options for SMTP and RTSP
  * added --mail-from and --mail-rcpt for SMTP
  * VMS build system enhancements
  * added support for the PRET ftp command
  * curl supports --ssl and --ssl-reqd
  * added -J/--remote-header-name for using server-provided
    filename with -O
  * enhanced asynchronous DNS lookups
  * symbol CURL_FORMAT_OFF_T is obsoleted
  * many bugfixes
* Tue Jan 26 2010 mmarek@suse.cz
- updated to 7.19.7
  * -T. is now for non-blocking uploading from stdin
  * SYST handling on FTP for OS/400 FTP server cases
  * libcurl refuses to read a single HTTP header longer than 100K
  * added the --crlfile option to curl
  * many bugfixes
* Mon Jan 11 2010 meissner@suse.de
- add baselibs.conf as source
* Thu Aug 13 2009 mmarek@suse.cz
- updated to 7.19.6
  * CURLOPT_FTPPORT (and curl's -P/--ftpport) support port ranges
  * Added CURLOPT_SSH_KNOWNHOSTS, CURLOPT_SSH_KEYFUNCTION,
    CURLOPT_SSH_KEYDATA
  * CURLOPT_QUOTE, CURLOPT_POSTQUOTE and CURLOPT_PREQUOTE can be
    told to ignore error responses when used with FTP
  * fixed CVE-2009-2417 (matching certificates with embedded NUL
    bytes)
  * many other bugfixes
* Tue May 19 2009 mmarek@suse.cz
- remove the Obsoletes: curl-ca-bundle, it breaks parallel
  installation of older libcurl packages (bnc#484044).
* Tue May 19 2009 mmarek@suse.cz
- updated to 7.19.5
  * libcurl now closes all dead connections whenever you attempt to
    open a new connection
  * libssh2's version number can now be figured out run-time
    instead of using the build-time fixed number
  * CURLOPT_SEEKFUNCTION may now return CURL_SEEKFUNC_CANTSEEK
  * curl can now upload with resume even when reading from a pipe
  * a build-time configured curl_socklen_t is now used instead of
    socklen_t
- by default, don't abort if the testsuite fails.
* Thu Mar  5 2009 mmarek@suse.cz
- don't run autoreconf -fi as it breaks on older distros and
  upstream uses recent autotools already.
* Mon Mar  2 2009 mmarek@suse.cz
- updated to 7.19.4
  * don't follow redirects to file:// and scp:// by default; add
    new curl_easy_setopt options CURLOPT_PROTOCOLS and
    CURLOPT_REDIR_PROTOCOLS to specify which protocols are allowed
    and which protocols are allowed to redirect to (bnc#475103,
    CVE-2009-0037)
  * Added CURLOPT_NOPROXY and the corresponding --noproxy
  * the OpenSSL-specific code disables TICKET (rfc5077) which is
    enabled by default in openssl 0.9.8j
  * Added CURLOPT_TFTP_BLKSIZE
  * Added CURLOPT_SOCKS5_GSSAPI_SERVICE and
    CURLOPT_SOCKS5_GSSAPI_NEC - with the corresponding curl options
  - -socks5-gssapi-service and --socks5-gssapi-nec
  * Improved IPv6 support when built with with c-ares >= 1.6.1
  * Added CURLPROXY_HTTP_1_0 and --proxy1.0
  * Added docs/libcurl/symbols-in-versions
  * Added CURLINFO_CONDITION_UNMET
  * Added support for Digest and NTLM authentication using GnuTLS
  * CURLOPT_FTP_CREATE_MISSING_DIRS can now be set to 2 to retry
    the CWD even when MKD fails
  * GnuTLS initing moved to curl_global_init()
  * CURLAUTH_DIGEST_IE bit added for CURLOPT_HTTPAUTH and
    CURLOPT_PROXYAUTH
  * pkg-config can now show supported_protocols and
    supported_features
  * Added CURLOPT_CERTINFO and CURLINFO_CERTINFO
  * Added CURLOPT_POSTREDIR
  * Better detect HTTP 1.0 servers and don't do HTTP 1.1 requests
    on them
  * configure --disable-proxy disables proxy support
  * Added CURLOPT_USERNAME and CURLOPT_PASSWORD
  * --interface now works with IPv6 connections on glibc systems
  * Added CURLOPT_PROXYUSERNAME and CURLOPT_PROXYPASSWORD
* Wed Dec 10 2008 olh@suse.de
- use Obsoletes: -XXbit only for ppc64 to help solver during distupgrade
  (bnc#437293)
* Thu Oct 30 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Mon Sep 15 2008 mmarek@suse.cz
- only buildrequire stunnel when built --with stunnel
* Thu Sep 11 2008 mmarek@suse.cz
- test 279 no longer fails with runtests.pl -b <num>
* Tue Sep  2 2008 mmarek@suse.cz
- updated to 7.19.0
  * curl_off_t gets its size/typedef somewhat differently than
    before. This _may_ cause an ABI change for you. See
    /usr/share/doc/packages/curl/README.curl_off_t for a full
    explanation. (Should not affect our package as it has LFS
    enabled)
  * Added CURLINFO_PRIMARY_IP
  * Added CURLOPT_CRLFILE and CURLE_SSL_CRL_BADFILE
  * Added CURLOPT_ISSUERCERT and CURLE_SSL_ISSUER_ERROR
  * curl's option parser for boolean options reworked
  * Added --remote-name-all
  * Added CURLINFO_APPCONNECT_TIME
  * Added test selection by key word in runtests.pl
  * the curl tool's -w option support the %%{ssl_verify_result}
    variable
  * Added CURLOPT_ADDRESS_SCOPE and scope parsing of the URL
    according to RFC4007
  * Support --append on SFTP uploads (not with OpenSSH, though)
  * Added curlbuild.h and curlrules.h to the external library
    interface
  * lots of bugfixes
* Wed Jun  4 2008 mmarek@suse.cz
- updated to 7.18.2
  * CURLFORM_STREAM was added
  * CURLOPT_NOBODY is now supported over SFTP
  * curl can now run on Symbian OS
  * curl -w redirect_url and CURLINFO_REDIRECT_URL
  * added curl_easy_send() and curl_easy_recv()
  * some bugfixes
* Sat May 17 2008 coolo@suse.de
- fix renaming of xxbit packages
* Mon Apr 28 2008 mmarek@suse.cz
- disable c-ares support again until bnc#381709 is fixed
- build with libssh2 support in the devel:libraries:c_c++ project
* Fri Apr 11 2008 mmarek@suse.cz
- build with c-ares support
- fixed build for older dists
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Apr  2 2008 mmarek@suse.de
- obsolete curl-ca-bundle by the library package
* Mon Mar 31 2008 mmarek@suse.cz
- updated to 7.18.1
  * minor fixes since last update
* Fri Mar 21 2008 mmarek@suse.cz
- updated to cvs snapshot 20080321
  * added support for HttpOnly cookies
  * we no longer distribute or install a ca cert bundle
  * SSLv2 is now disabled by default for SSL operations
  * the test509-style setting URL in callback is officially no
    longer supported
  * support a full chain of certificates in a given PKCS12
    certificate
  * resumed transfers work with SFTP
  * added type checking macros for curl_easy_setopt() and
    curl_easy_getinfo(), watch out for new warnings in code using
    libcurl (needs gcc-4.3 and currently only works in C mode)
  * curl_easy_setopt(), curl_easy_getinfo(), curl_share_setopt()
    and curl_multi_setopt() uses are now checked to use exactly
    three arguments
* Mon Mar 10 2008 mmarek@suse.cz
- clean up curl-config --libs output, thanks to Cristian Rodríguez
  for pointing it out
* Fri Mar  7 2008 mmarek@suse.cz
- build with gssapi support (thanks to Michael Calmer)
* Mon Feb 18 2008 mmarek@suse.cz
- removed Requires: openssl-certs - doesn't exist on older dists
  and is required by libopenssl otherwise
- allow to build the package even if the testsuite fails
* Fri Feb  8 2008 mmarek@suse.cz
- use /etc/ssl/certs instead of own curl-ca-bundle.crt
  * more up-to-date ca cert collection (bnc#334690)
  * allows for easier updates of ca certs
* Tue Jan 29 2008 mmarek@suse.cz
- updated to 7.18.0
  * --data-urlencode
  * CURLOPT_PROXY_TRANSFER_MODE
  * --no-keepalive - now curl does connections with keep-alive
    enabled by default
  * --socks4a added (proxy type CURLPROXY_SOCKS4A for libcurl)
  * --socks5-hostname added (CURLPROXY_SOCKS5_HOSTNAME for libcurl)
  * curl_easy_pause()
  * CURLOPT_SEEKFUNCTION and CURLOPT_SEEKDATA
  * --keepalive-time
  * curl --help output was re-ordered
  * bugfixes
- fixed test553 to work with different port number
* Thu Jan 10 2008 mmarek@suse.cz
- only print -lcurl in curl-config to reduce dependencies
* Tue Dec 11 2007 mmarek@suse.cz
- backported the CURLOPT_PROXY_TRANSFER_MODE patch [#306272#c26]
* Fri Nov 16 2007 mmarek@suse.cz
- fixed the testsuite on hosts that have no IPv6 support [#341994]
  curl-testsuite-safely-skip-http-ipv6.patch
  curl-testsuite-remember-broken-servers.patch
- added stunnel to BuildRequires to enable SSL tests
* Tue Oct 30 2007 mmarek@suse.cz
- updated to 7.17.1
  * automatically append ";type=<a|i>" when using HTTP proxies for
    FTP urls [#306272]
  * improved NSS support
  * added --proxy-negotiate
  * added --post301 and CURLOPT_POST301
  * builds with c-ares 1.5.0
  * added CURLOPT_SSH_HOST_PUBLIC_KEY_MD5 and --hostpubmd5
  * renamed CURLE_SSL_PEER_CERTIFICATE to
    CURLE_PEER_FAILED_VERIFICATION
  * added CURLOPT_OPENSOCKETFUNCTION and CURLOPT_OPENSOCKETDATA
  * CULROPT_COOKIELIST supports "FLUSH"
  * added CURLOPT_COPYPOSTFIELDS
  * added --static-libs to curl-config
  * many bugfixes, inc. fix for bug #332917
* Thu Oct 11 2007 mszeredi@suse.de
- Add missing dependency (openldap2-devel) for libcurl-devel
* Mon Oct  8 2007 mmarek@suse.cz
- updated to 7.17.0
  * curl_easy_setopt() now allocates strings passed to it
  * LDAP libraries are now linked "regularly" and not with dlopen
    (the strict-aliasing patch can go away)
  * HTTP transfers have the download size info "available" earlier
  * FTP transfers have the download size info "available" earlier
  * several error codes and options were marked as obsolete and
    subject to future removal (set CURL_NO_OLDIES to see if your
    application is using them)
  * some bugfixes (see /usr/share/doc/packages/curl/RELEASE-NOTES)
- added fixes for some post-7.17 bugs
- removed some less useful %%%%doc files
* Fri Sep 14 2007 mmarek@suse.cz
- set transfer mode (binary/ascii) when retrieving ftp:// urls via
  an http proxy (curl-ftp-httpproxy.patch) [#306272]
* Wed Aug 29 2007 mmarek@suse.cz
- s/openssl-devel/libopenssl-devel/ [#305815]
* Fri Aug  3 2007 mmarek@suse.cz
- updated to 7.16.4
  * added CURLOPT_NEW_FILE_PERMS and CURLOPT_NEW_DIRECTORY_PERMS
  * improved hashing of sockets for the multi_socket API
  * ftp kerberos5 support added
  * some bugfixes (see /usr/share/doc/packages/curl/RELEASE-NOTES)
- fixed libcurl-devel Provides: [#293401]
* Mon Jul  9 2007 mmarek@suse.cz
- updated to 7.16.3
  * many bugfixes
  * support for running multiple testsuites in paralell
- removed lfs patch leftover
* Mon Jun  4 2007 mmarek@suse.cz
- install libcurl.m4 [#275462]
* Fri Jun  1 2007 dmueller@suse.de
- fix obsoletes for alpha3 update
- fix ldconfig call
* Wed May 23 2007 bk@suse.de
- updated to 7.16.2 (lots of fixes, fixes a segfault in git-http)
* Fri May  4 2007 mmarek@suse.cz
- also avoid non-versioned obsoletes
* Mon Apr 16 2007 mmarek@suse.de
- avoid non-versioned provides
- removed old curl_ssl provides/obsoletes from 7.1 times
* Mon Apr  2 2007 rguenther@suse.de
- split off libcurl4 and curl-ca-bundle packages, rename curl-devel
  to libcurl-devel
* Sat Mar 31 2007 rguenther@suse.de
- add zlib-devel BuildRequires
* Fri Feb 16 2007 mmarek@suse.cz
- better patch for #246179
* Fri Feb 16 2007 mmarek@suse.cz
- fix CURLOPT_RANGE reset for ftp transfers
  [#246179] (ftp_range.patch)
- updated to 7.16.1 (other bugfixes)
* Fri Jan 26 2007 mmarek@suse.cz
- remove libcurl.a and libcurl.la (rationale: there are security
  updates of curl from time to time, so statically linking it is
  not acceptable)
* Thu Jan 25 2007 mmarek@suse.cz
- fixed strict aliasing warnings
* Tue Dec 19 2006 mmarek@suse.cz
- updated to 7.16.0
  * removed CURLOPT_SOURCE_* options and --3p* command line option
    (breaks python-curl atm)
  * for a complete list of changes, see
    /usr/share/doc/packages/curl/RELEASE-NOTES
* Tue Aug 15 2006 mmarek@suse.cz
- configure with --enable-hidden-symbols to compile libcurl with
  - fvisibility=hidden, exporting only symbols from the API
* Tue Aug 15 2006 mmarek@suse.cz
- updated to version 7.15.5
  * added --ftp-ssl-reqd
  * modified the prototype for the socket callback set with
    CURLMOPT_SOCKETFUNCTION
  * added curl_multi_assign()
  * added CURLOPT_FTP_ALTERNATIVE_TO_USER and --ftp-alternative-to-user
  * added a vcproj file for building libcurl
  * added curl_formget()
  * added CURLOPT_MAX_SEND_SPEED_LARGE and CURLOPT_MAX_RECV_SPEED_LARGE
  * Made -K on a file that couldn't be read cause a warning to be displayed
  * some bugfixes
- dropped epsv-firewall.patch which was intergrated in 7.15.2
* Sat Jul  1 2006 cthiel@suse.de
- update to version 7.15.4, changes & fixes for this version:
  * NTLM2 session response support
  * CURLOPT_COOKIELIST set to "SESS" clears all session cookies
  * CURLINFO_LASTSOCKET returned sockets are now checked more before
    returned
  * curl-config got a --checkfor option to compare version numbers
  * line end conversions for FTP ASCII transfers
  * curl_multi_socket() API added (still mostly untested)
  * conversion callback options for EBCDIC <=> ASCII conversions
  * added CURLINFO_FTP_ENTRY_PATH
  * less blocking for the multi interface during (Open)SSL connect
    negotiation
  * builds fine on cygwin
  * md5-sess with Digest authentication
  * dict with letters such as space in a word
  * dict with url-encoded words in the URL
  * libcurl.m4 when default=yes but no libcurl was found
  * numerous bugs fixed in the TFTP code
  * possible memory leak when adding easy handles to multi stack
  * TFTP works in a more portable fashion (== on more platforms)
  * WSAGetLastError() is now used (better) on Windows
  * GnuTLS non-block case that could cause data trashing
  * deflate code survives lack of zlib header
  * CURLOPT_INTERFACE works with hostname
  * configure runs fine with ICC
  * closed control connection with FTP when easy handle was removed from
    multi
  * curl --trace crash when built with VS2005
  * SSL connect time-out
  * improved NTLM functionality
  * following redirects with more than one question mark in source URL
  * fixed debug build crash with -d
  * generates a fine AIX Toolbox RPM spec
  * treat FTP AUTH failures properly
  * TFTP transfers could trash data
  * -d + -G combo crash
* Wed Jun 14 2006 mmarek@suse.cz
- fixed syntax error in configure
* Sun May 28 2006 cthiel@suse.de
- update to version 7.15.3, changes & fixes for this version:
  * added docs for --ftp-method and CURLOPT_FTP_FILEMETHOD
  * TFTP Packet Buffer Overflow Vulnerability (CVE-2006-1061)
  * properly detecting problems with sending the FTP command USER
  * wrong error message shown when certificate verification failed
  * multi-part formpost with multi interface crash
  * the CURLFTPSSL_CONTROL setting for CURLOPT_FTP_SSL is acknowledged
  * "SSL: couldn't set callback" is now treated as a less serious problem
  * Interix build fix
  * fixed curl "hang" when out of file handles at start
  * prevent FTP uploads to URLs with trailing slash
- changes & fixes in 7.15.2
  * Support for SOCKS4 proxies (added --socks4)
  * CURLOPT_CONNECT_ONLY and CURLINFO_LASTSOCKET added
  * CURLOPT_LOCALPORT and CURLOPT_LOCALPORTRANGE (--local-port) added
  * Dropped support for the LPRT ftp command
  * Gopher is now officially abandoned as a protocol (lib)curl tries to
    support
  * curl_global_init() and curl_global_cleanup() are now using a refcount so
    that it is now legal to call them multiple times. See updated info for
    details
  * two bugs concerning using curl_multi_remove_handle() before the transfer
    was complete
  * multi-pass authentication and compressed content
  * minor format string mistake in the GSS/Negotiate code
  * cached DNS entries could remain in the cache too long
  * improved GnuTLS check in configure
  * re-used FTP connections when the second request didn't do a transfer
  * plain --limit-rate [num] means bytes
  * re-creating a dead connection is no longer counted internally as a
    followed redirect and thus prevents a weird error that would occur if a
    FTP connection died on an attempted re-use
  * Try PASV after failing to connect to the port the EPSV response
    contained
  * -P [IP] with non-local address with ipv6-enabled curl
  * -P [hostname] with ipv6-disabled curl
  * libcurl.m4 was updated
  * configure no longer warns if the current path contains a space
  * test suite kill race condition
  * FTP_SKIP_PASV_IP and FTP_USE_EPSV when doing FTP over HTTP proxy
  * Doing a second request with FTP on the same bath path, would make
    libcurl confuse what current working directory it had
  * FTP over HTTP proxy now sends the second CONNECT properly
  * numerous compiler warnings and build quirks for various compilers have
    been addressed
  * supports name and passwords up to 255 bytes long, embedded in URLs
  * the HTTP_ONLY define disables the TFTP support
- removed curl-7.15.1-CVE-2006-1061.patch, included upstream
- removed curl-7.15.1-aliasing.patch
* Tue Mar 14 2006 mmarek@suse.cz
- fix buffer overflow in TFTP code
  [#157874] (CVE-2006-1061.patch)
* Wed Feb 15 2006 ro@suse.de
- added libidn-devel to requires of devel package
* Mon Feb 13 2006 mmarek@suse.cz
- build with libidn support
  [#150313]
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 mmarek@suse.cz
- fallback to PASV if some firewall doesn't let an EPSV connection
  trough
* Thu Jan 12 2006 mmarek@suse.cz
- build with -fstack-protector
- add dependency on curl = %%%%{version} to curl-devel
* Tue Jan 10 2006 mmarek@suse.cz
- remove non-existent path /usr/ssl, which caused -L/usr/ssl/lib to
  appeared in curl-config output
- use make -j
* Tue Dec 13 2005 mmarek@suse.cz
- updated to 7.15.1, fixing previous vulnerabilities
* Thu Oct 13 2005 mmarek@suse.cz
- fix stack buffer overflow in lib/http_ntlm.c [#128065]
* Mon Oct 10 2005 mmarek@suse.cz
- updated to 7.14.1
- updated curl-7.14.1-aliasing.patch
* Mon Jun 20 2005 anicka@suse.cz
- update to 7.14.0
- remove obsolete patch curl-ntlm.patch
* Tue Apr 12 2005 tcrhak@suse.cz
- packaged curl-ca-bundle.crt (bug #64301)
* Thu Feb 24 2005 meissner@suse.de
- enable make test. fixed test 241 to use ::1 directly.
* Tue Feb 22 2005 mcihar@suse.cz
- fix buffer overflow in NTLM (bug #65752)
* Tue Feb  8 2005 mcihar@suse.cz
- update to 7.13.0
* Wed Aug 11 2004 tcrhak@suse.cz
- update to 7.12.0
* Wed Apr 28 2004 tcrhak@suse.cz
- strict aliasing fix
* Tue Mar 16 2004 tcrhak@suse.cz
- fix for lfs for in transfer.c (bug #36040)
* Wed Feb 25 2004 tcrhak@suse.cz
- ignore leading slashes of url-path in URLs like
  ftp://user@name//url-path, i.e don't change to the
  root directory (RFC 1738, bug #34471)
* Tue Feb 10 2004 tcrhak@suse.cz
- update to version 7.11.0
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr and %%run_ldconfig
* Wed Nov  5 2003 tcrhak@suse.cz
- added large file support, patch lfs [bug #32411]
* Thu Sep  4 2003 tcrhak@suse.cz
- require zlib-devel, openssl-devel and glibc-devel in curl-devel [bug #29881]
* Fri Aug  8 2003 tcrhak@suse.cz
- terminate array of directory components by NULL (bug #28351, patch dirs)
* Wed Jul 23 2003 tcrhak@suse.cz
- update to version 7.10.5
* Mon Jun  2 2003 ro@suse.de
- remove unpackaged files from buildroot
* Wed Nov 27 2002 tcrhak@suse.cz
- update to version 7.10.2
- moved curl-config.1.gz to the devel subpackage [bug #21966]
* Sat Jul 13 2002 tcrhak@suse.cz
- update to version 7.9.8
- added automake
* Fri Jan 18 2002 tcrhak@suse.cz
- used macros %%{_lib} and %%{_libdir}
- update to 7.9.2
* Fri Oct 19 2001 ro@suse.de
- do not pack shared library into both, main and devel package
* Mon Oct  8 2001 tcrhak@suse.cz
- update to version 7.9
* Fri Sep 21 2001 adostal@suse.cz
- fix manual in man.patch
* Tue Aug 21 2001 adostal@suse.cz
- update to version 7.8.1
* Wed Jul 18 2001 adostal@suse.cz
- files devel fixed
* Mon Jul  2 2001 adostal@suse.cz
- update to version 7.8
* Wed Jun 13 2001 ro@suse.de
- fixed to compile with new autoconf
* Mon Apr  9 2001 cihlar@suse.cz
- update to version 7.7.1
* Tue Mar  6 2001 cihlar@suse.cz
- update to version 7.6.1
* Wed Jan  3 2001 cihlar@suse.cz
- fixed Provides and Obsoletes also for curl-devel
* Tue Dec 19 2000 cihlar@suse.cz
- fixed name
- added Obsoletes: curl_ssl
* Mon Dec 18 2000 cihlar@suse.cz
- changed to ssl support
* Thu Nov 16 2000 cihlar@suse.cz
- renamed curldev -> curl-devel
- update to version 7.4.2
* Tue Oct 17 2000 cihlar@suse.cz
- update to version 7.4.1 - security bug fixed
* Wed Aug 30 2000 cihlar@suse.cz
- package created
